# Gtk-Perl.spec

%define name perl-GTK
%define real_name Gtk-Perl
%define version 0.6123
%define release 7mdk

Summary: Perl module for the gtk+ library.
Name: %{name}
Version: %{version}
Source: ftp://ftp.gimp.org/pub/gtk/perl/%{real_name}-%{version}.tar.bz2
Release: %{release}
Copyright: GPL
Group: Development/Languages
BuildRoot: /tmp/%{name}-buildroot/
Prefix: %{_prefix}
Requires: perl >= 5.004, gtk+ >= 1.2.3
Patch: %{real_name}.patch.bz2

%description
This module lets you use the gtk+ graphic library from perl.
It is very object-oriented and easy to use.

%prep
%setup -n %{real_name}-%{version}

%patch -p1

%build
perl Makefile.PL --without-gnome --without-gdkimlib --without-gtkxmhtml
make OPTIMIZE="$RPM_OPT_FLAGS"

%install
rm -rf "$RPM_BUILD_ROOT"
make install PREFIX="$RPM_BUILD_ROOT/%{_prefix}"
find $RPM_BUILD_ROOT/%{_prefix} -name "*.so" | xargs strip

bzip2 -9f $RPM_BUILD_ROOT/usr/lib/perl5/man/man3/*

%files
%defattr(-,root,root)
/%{prefix}/lib/perl5/site_perl/5.005/%{_arch}-linux/auto/Gtk/Gtk.so
/%{prefix}/lib/perl5/site_perl/5.005/%{_arch}-linux/auto/Gtk/Gtk.bs
/%{prefix}/lib/perl5/site_perl/5.005/%{_arch}-linux/auto/Gtk/Gdk/autosplit.ix
/%{prefix}/lib/perl5/site_perl/5.005/%{_arch}-linux/auto/Gtk/autosplit.ix
#/%{prefix}/lib/perl5/site_perl/5.005/%{_arch}-linux/auto/Gtk/XmHTML/autosplit.ix
/%{prefix}/lib/perl5/site_perl/5.005/%{_arch}-linux/auto/Gtk/.packlist
/%{prefix}/lib/perl5/site_perl/5.005/%{_arch}-linux/Gtk/Types.pm
/%{prefix}/lib/perl5/site_perl/5.005/%{_arch}-linux/Gtk/Keysyms.pm
/%{prefix}/lib/perl5/site_perl/5.005/%{_arch}-linux/Gtk/LogHandler.pm
/%{prefix}/lib/perl5/site_perl/5.005/%{_arch}-linux/Gtk/ColorSelectButton.pm
/%{prefix}/lib/perl5/site_perl/5.005/%{_arch}-linux/Gtk/Atoms.pm
/%{prefix}/lib/perl5/site_perl/5.005/%{_arch}-linux/Gtk/Gdk.pm
#/%{prefix}/lib/perl5/site_perl/5.005/%{_arch}-linux/Gtk/XmHTML.pm
/%{prefix}/lib/perl5/site_perl/5.005/%{_arch}-linux/Gtk.pm
/%{prefix}/lib/perl5/man/man3/Gtk::GtkColorSelectButton.3.bz2

%changelog
* Tue Nov 23 1999 Pixel <pixel@linux-mandrake.com>
- replaced i386 by %{_arch} (for alpha)

* Sun Nov 21 1999 Pixel <pixel@mandrakesoft.com>
- strip .so (nice rpmlint :)

* Sun Nov  7 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- Build release.

* Mon Oct 18 1999 Pixel <pixel@linux-mandrake.com>
- 0.6123

* Tue Jul 13 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- initialization of spec file.

# end of file
